endpointabstract

The base class for session, connection, and link. More...

`#include <endpoint.hpp>`

Inheritance diagram for endpoint:
[legend]

## Public Member Functions

virtual bool | uninitialized () const =0
| True if the local end is uninitialized.
virtual bool | active () const =0
| True if the local end is active.
virtual bool | closed () const =0
| True if the local and remote ends are closed.
virtual class error_condition | error () const =0
| Get the error condition of the remote endpoint.
virtual void | close ()=0
| Close the endpoint. More...
virtual void | close (const error_condition &)=0
| Close the endpoint with an error condition. More...

## Detailed Description

The base class for session, connection, and link.

## Member Function Documentation

## close() [1/2]

virtual void close | ( |  | ) |

pure virtual

Close the endpoint.

See also
  endpoint_lifecycle

Implemented in connection, link, and session.

## close() [2/2]

virtual void close | ( | const error_condition & |  | ) |

pure virtual

Close the endpoint with an error condition.

See also
  endpoint_lifecycle

Implemented in connection, link, and session.

The documentation for this class was generated from the following file:

- proton/endpoint.hpp